/*
** Filename: USBHostHID2.h
**
** Automatically created by Application Wizard 1.4.2
**
** Part of solution USBHostHID2 in project USBHostHID2
**
** Comments:
**
** Important: Sections between markers "FTDI:S*" and "FTDI:E*" will be overwritten by
** the Application Wizard
*/

#ifndef _USBHostHID2_H_
#define _USBHostHID2_H_

#include "vos.h"

#define USE_SPI 1
//#define USE_UART 1

/* FTDI:SHF Header Files */
#include "USB.h"
#include "USBHost.h"
#include "ioctl.h"
#include "UART.h"
#include "string.h"
#include "errno.h"
/* FTDI:EHF */

/* FTDI:SDC Driver Constants */
#define VOS_DEV_USBHOST_1 0
#define VOS_DEV_USBHOST_2 1
#define VOS_DEV_UART 2



#ifdef USE_SPI
#include "SPIMaster.h"
#define VOS_DEV_SPI_MASTER 3
#define VOS_NUMBER_DEVICES 4
#else
#define VOS_NUMBER_DEVICES 3
#endif


/* FTDI:EDC */

/* FTDI:SXH Externs */
/* FTDI:EXH */

#define LED1 0x02
#define LED2 0x04
#define LED3 0x08
#define LED6 0x40
#endif                                 /* _USBHostHID2_H_ */
